ALR-GET(1)

NAME
alr-get - Fetches a crate release

SYNOPSIS

alr get [options] <crate>[allowed versions]

OPTIONS

-b, --build
    Build after download

--dirname
    Display deployment folder

-o, --only
    Retrieve requested crate only, without dependencies

GLOBAL OPTIONS

-c, --config=ARG
    Override configuration folder location

-f, --force
    Keep going after a recoverable troublesome situation

-h, --help
    Display general or command-specific help

-n, --non-interactive
    Assume default answers for all user prompts

--no-color
    Disables colors in output

--no-tty
    Disables control characters in output

--prefer-oldest
    Prefer oldest versions instead of newest when resolving dependencies

--version
    Displays version and exits

-q  Limit output to errors

-v  Be more verbose (use twice for extra detail)

-d, --debug[]
    Enable debug-specific log messages

DESCRIPTION
Retrieve a crate, in the case of regular ones, or install a system package provided by the platform. A regular crate is deployed under an immediate folder with naming 'name_version_hash'.

Version selection syntax (global policy applies within the allowed version subsets):

crate            Newest/oldest version
crate=version    Exact version
crate^version    Major-compatible version
crate~version    Minor-compatible version

SEE ALSO
alr(1), alr-index(1), alr-init(1), alr-pin(1), alr-search(1), alr-show(1), alr-update(1), alr-with(1), gprbuild(1)

AUTHOR
Generated with generate-man from Alire execution